﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="BancoAlunosDataSet" targetNamespace="http://tempuri.org/BancoAlunosDataSet.xsd" xmlns:mstns="http://tempuri.org/BancoAlunosDataSet.xsd" xmlns="http://tempuri.org/BancoAlunosDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection ConnectionStringObject="Data Source=.\SQLEXPRESS;AttachDbFilename=C:\UP\C#\Exemplo_ADO_Notas_VRS1\BancoAlunos.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True" IsAppSettingsProperty="false" Modifier="Assembly" Name="BancoAlunos.mdf" ParameterPrefix="@" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="AlunosTableAdapter" GeneratorDataComponentClassName="AlunosTableAdapter" Name="Alunos" UserDataComponentName="AlunosTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="BancoAlunos.mdf" DbObjectName="dbo.Alunos" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[Alunos] WHERE (([al_ID] = @Original_al_ID) AND ((@IsNull_al_Nome = 1 AND [al_Nome] IS NULL) OR ([al_Nome] = @Original_al_Nome)) AND ((@IsNull_al_B1 = 1 AND [al_B1] IS NULL) OR ([al_B1] = @Original_al_B1)) AND ((@IsNull_al_B2 = 1 AND [al_B2] IS NULL) OR ([al_B2] = @Original_al_B2)) AND ((@IsNull_al_B3 = 1 AND [al_B3] IS NULL) OR ([al_B3] = @Original_al_B3)) AND ((@IsNull_al_B4 = 1 AND [al_B4] IS NULL) OR ([al_B4] = @Original_al_B4)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_al_ID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_Nome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_Nome" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_al_Nome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="al_Nome" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B1" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B2" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B2" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B2" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B3" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B3" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B3" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B3" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B4" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B4" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B4" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B4" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[Alunos] ([al_Nome], [al_B1], [al_B2], [al_B3], [al_B4]) VALUES (@al_Nome, @al_B1, @al_B2, @al_B3, @al_B4);
SELECT al_ID, al_Nome, al_B1, al_B2, al_B3, al_B4 FROM Alunos WHERE (al_ID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@al_Nome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="al_Nome" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B1" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B2" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B3" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B4" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B4" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT al_ID, al_Nome, al_B1, al_B2, al_B3, al_B4 FROM dbo.Alunos</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[Alunos] SET [al_Nome] = @al_Nome, [al_B1] = @al_B1, [al_B2] = @al_B2, [al_B3] = @al_B3, [al_B4] = @al_B4 WHERE (([al_ID] = @Original_al_ID) AND ((@IsNull_al_Nome = 1 AND [al_Nome] IS NULL) OR ([al_Nome] = @Original_al_Nome)) AND ((@IsNull_al_B1 = 1 AND [al_B1] IS NULL) OR ([al_B1] = @Original_al_B1)) AND ((@IsNull_al_B2 = 1 AND [al_B2] IS NULL) OR ([al_B2] = @Original_al_B2)) AND ((@IsNull_al_B3 = 1 AND [al_B3] IS NULL) OR ([al_B3] = @Original_al_B3)) AND ((@IsNull_al_B4 = 1 AND [al_B4] IS NULL) OR ([al_B4] = @Original_al_B4)));
SELECT al_ID, al_Nome, al_B1, al_B2, al_B3, al_B4 FROM Alunos WHERE (al_ID = @al_ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@al_Nome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="al_Nome" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B1" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B2" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B3" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@al_B4" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_al_ID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_Nome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_Nome" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_al_Nome" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="al_Nome" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B1" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B2" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B2" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B2" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B3" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B3" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B3" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B3" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_al_B4" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="al_B4" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Double" Direction="Input" ParameterName="@Original_al_B4" Precision="0" ProviderType="Float" Scale="0" Size="0" SourceColumn="al_B4" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="al_ID" ColumnName="al_ID" DataSourceName="[C:\UP\C#\EXEMPLO_ADO_NOTAS_VRS1\BANCOALUNOS.MDF].dbo.Alunos" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@al_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="al_ID" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="al_ID" DataSetColumn="al_ID" />
              <Mapping SourceColumn="al_Nome" DataSetColumn="al_Nome" />
              <Mapping SourceColumn="al_B1" DataSetColumn="al_B1" />
              <Mapping SourceColumn="al_B2" DataSetColumn="al_B2" />
              <Mapping SourceColumn="al_B3" DataSetColumn="al_B3" />
              <Mapping SourceColumn="al_B4" DataSetColumn="al_B4" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="BancoAlunosDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_DataSetName="BancoAlunosDataSet" msprop:Generator_UserDSName="BancoAlunosDataSet" msprop:EnableTableAdapterManager="True">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Alunos" msprop:Generator_UserTableName="Alunos" msprop:Generator_RowDeletedName="AlunosRowDeleted" msprop:Generator_TableClassName="AlunosDataTable" msprop:Generator_RowChangedName="AlunosRowChanged" msprop:Generator_RowClassName="AlunosRow" msprop:Generator_RowChangingName="AlunosRowChanging" msprop:Generator_RowEvArgName="AlunosRowChangeEvent" msprop:Generator_RowEvHandlerName="AlunosRowChangeEventHandler" msprop:Generator_TablePropName="Alunos" msprop:Generator_TableVarName="tableAlunos" msprop:Generator_RowDeletingName="AlunosRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="al_ID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_UserColumnName="al_ID" msprop:Generator_ColumnPropNameInRow="al_ID" msprop:Generator_ColumnVarNameInTable="columnal_ID" msprop:Generator_ColumnPropNameInTable="al_IDColumn" type="xs:int" />
              <xs:element name="al_Nome" msprop:Generator_UserColumnName="al_Nome" msprop:Generator_ColumnPropNameInRow="al_Nome" msprop:Generator_ColumnVarNameInTable="columnal_Nome" msprop:Generator_ColumnPropNameInTable="al_NomeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="al_B1" msprop:Generator_UserColumnName="al_B1" msprop:Generator_ColumnPropNameInRow="al_B1" msprop:Generator_ColumnVarNameInTable="columnal_B1" msprop:Generator_ColumnPropNameInTable="al_B1Column" type="xs:double" minOccurs="0" />
              <xs:element name="al_B2" msprop:Generator_UserColumnName="al_B2" msprop:Generator_ColumnPropNameInRow="al_B2" msprop:Generator_ColumnVarNameInTable="columnal_B2" msprop:Generator_ColumnPropNameInTable="al_B2Column" type="xs:double" minOccurs="0" />
              <xs:element name="al_B3" msprop:Generator_UserColumnName="al_B3" msprop:Generator_ColumnPropNameInRow="al_B3" msprop:Generator_ColumnVarNameInTable="columnal_B3" msprop:Generator_ColumnPropNameInTable="al_B3Column" type="xs:double" minOccurs="0" />
              <xs:element name="al_B4" msprop:Generator_UserColumnName="al_B4" msprop:Generator_ColumnPropNameInRow="al_B4" msprop:Generator_ColumnVarNameInTable="columnal_B4" msprop:Generator_ColumnPropNameInTable="al_B4Column" type="xs:double" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Alunos" />
      <xs:field xpath="mstns:al_ID" />
    </xs:unique>
  </xs:element>
</xs:schema>